Class | RSS::Maker::RSS20::Items::Item::Categories::Category
In: | rss/maker/2.0.rb
Parent: | RSS09::Items::Item::Categories::Category

### Methods

have_required_values? to_rss

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/2.0.rb, line 153
                  def have_required_values?
                    @content
                  end

to_rss(rss, item)

[Source]

    # File rss/maker/2.0.rb, line 144
                  def to_rss(rss, item)
                    category = Rss::Channel::Item::Category.new
                    set = setup_values(category)
                    if set
                      item.categories << category
                      setup_other_elements(rss)
                    end
                  end

[Validate]